package org.verohallinto.apitamoclient.dto;

import org.verohallinto.apitamoclient.yleiset.Vakiot;

/**
 * <p>Lomakkeen yksittinen virherivi</p>
 * (c) 2014 Tietokarhu Oy
 */
public class VirheriviDto {

    private String tunnus;      // Tunnus, jota virhe koskee
    private String rivinro;     // rivinro, jolta virhe lytyy
    private String tieto;       // Virheellinen tieto
    private String selitys;     // Virheselite

    public String getTunnus() {
        return tunnus;
    }

    public void setTunnus(String tunnus) {
        this.tunnus = tunnus;
    }

    public String getRivinro() {
        return rivinro;
    }

    public void setRivinro(String rivinro) {
        this.rivinro = rivinro;
    }

    public String getTieto() {
        return tieto;
    }

    public void setTieto(String tieto) {
        this.tieto = tieto;
    }

    public String getSelitys() {
        return selitys;
    }

    public void setSelitys(String selitys) {
        this.selitys = selitys;
    }

    @Override
    public String toString() {
        return "VirheriviDto{" + Vakiot.SYS_LF +
               "tunnus='" + tunnus + '\'' + Vakiot.SYS_LF +
               "rivinro=" + rivinro + Vakiot.SYS_LF +
               "tieto=" + tieto + Vakiot.SYS_LF +
               "selitys=" + selitys + Vakiot.SYS_LF +
               '}';
    }
}
